Bug 2563 - Please provide an attribution line for replying
: Please provide an attribution line for replying
Status: RESOLVED FIXED
Product: Email
General
: 5.0/(1.2009.42-11)
: All Linux
: Low enhancement with 10 votes (vote)
: 5.0/Community-SSU
Assigned To: modest-bugs
: modest-bugs
:
: community-fremantle, patch
:
:
  Show dependency tree
 
Reported: 2007-12-15 04:12 UTC by Josh Triplett
Modified: 2011-01-31 15:44 UTC (History)
11 users (show)

See Also:


Attachments
Patch cite (1005 bytes, patch)
2009-12-19 22:40 UTC, Adam Sjøgen
Details
Updated patch for 3.1.18+0m5 (1005 bytes, patch)
2010-01-14 17:14 UTC, Adam Sjøgen
Details


Note

You need to log in before you can comment on or make changes to this bug.


Description Josh Triplett (reporter) 2007-12-15 04:12:17 UTC
When quoting mails in a reply, Modest puts the line "----- Original message
-----" above the quoted mail.  Please support attributing the mail, ideally by
default.  At a minimum, the attribution line should contain the address or
addresses from the From line.  (Note that From *can* contain more than one
address; please support that correctly.)  Some clients also include the date
and time, but I don't particularly care about that.
Comment 1 Quim Gil nokia 2009-05-21 14:09:25 UTC
This request is valid in Fremantle beta.
Comment 2 Adam Sjøgen 2009-12-19 22:40:44 UTC
Created an attachment (id=1802) [details]
Patch cite

I have created the attached tiny patch to change the "Original message" to an
attribution line.

It is also available in my clone of the modest repository on gitorious.org:

 *
http://gitorious.org/~asjo/modest/asjo-modest/commit/20b5b85a7440b462567b04cdef1b0147873a7cfe
Comment 3 Vitaly Repin 2009-12-20 17:07:15 UTC
sergio, any chances to integrate this patch to n900?
Comment 4 Sergio Villar Senin 2009-12-21 11:52:43 UTC
(In reply to comment #2)
> Created an attachment (id=1802) [details] [details]
> Patch cite
> 
> I have created the attached tiny patch to change the "Original message" to an
> attribution line.
> 
> It is also available in my clone of the modest repository on gitorious.org:
> 
>  *
> http://gitorious.org/~asjo/modest/asjo-modest/commit/20b5b85a7440b462567b04cdef1b0147873a7cfe
> 

As you said in your report I don't have also a strong opinion about this
subject, but I'd like to hear some more objective reasons to change it. I say
that because maybe this is the way you like it, but maybe others do like it as
it is so we cannot just assume how people use the email program.

My question is, how do other email clients behave?
Comment 5 Andrew Flegg maemo.org 2009-12-21 11:58:17 UTC
(In reply to comment #4)
> 
> My question is, how do other email clients behave?

Google Mail's attribution line is:

  On Fri, Nov 20, 2009 at 10:11, Joe Bloggs <j.bloggs@example.org> wrote:

Note, that without a change to properly put the signature *below* the quoted
text, this improvement is less useful. However, it is still beneficial when
formatting emails into the canonical and traditional structure of:

  Attribution:
  >
  > Quoted text

  Reply.

  > Quoted text

  Reply.

  -- 
  Signature
Comment 6 Adam Sjøgen 2009-12-21 23:07:57 UTC
(In reply to comment #4)

> As you said in your report I don't have also a strong opinion about this
> subject, but I'd like to hear some more objective reasons to change it. I say
> that because maybe this is the way you like it, but maybe others do like it as
> it is so we cannot just assume how people use the email program.

> My question is, how do other email clients behave?

I have done the following survey for your benefit:

Microsoft Office Outlook 2003
  attribution: none, i.e. "> -----Original Message-----"
    signature: at top, no separator

Microsoft Outlook Web Access Light
  attribution: none, i.e. "________________________________________"
        quote: no '>'
    signature: at top, no separator

Thunderbird 2.0
  attribution: "[Name] wrote:"
    signature: configurable "start my reply above the quote"
                              and place my signature:
                                "below the quote (recommended)"
                                "below my reply (above the quote)" - no
separator
                            "start my reply below the quote"
                            "select the quote"

Evolution 2.28.1:
  attribution: "On [date] at [time], [name] wrote:"
    signature: configurable "Top Posting Option (Not Recommended):
                                [ ] Keep Signature above the original message
on replying" - includes separator
                            "[ ] start typing at the bottom when replying"

Kmail 1.12.4:
  attribution: "On [date] [time] you wrote:"
    signature: last, with separator
               "[ ] Insert signature above quoted text"
               "[x] Prepend separator to signature"

Opera 10.10:
  attribution: "On [date time], [name] wrote:"
    signature: at bottom, with separator

hotmail.com:
  attribution: none at all
    signature: at top, no separator

yahoo.com:
  attribution: none: "________________________________"
    signature: at top, no separator

gmail.com:
  attribution: "On [date] at [time], [name] wrote:"
    signature: last, with separator
               "Signature: (appended at the end of all outgoing messages)"

Apple Mail:
  attribution: "[date] [time] [wrote, localized] [name]:"
    signature: last, no separator
               option to place signature above quote

iPhone:
  attribution: "[On, localized] [date] [time] [wrote, localized] [name]
[email]:"
    signature: on top, no separator

Gnus:
  attribution: "[name] [email] writes:"
    signature: last, with separator

Let me know if I should collect more information.

It is not easy to draw any conclusions from this.

An interpretation could be that the people who have an opinion default to
having an attribution line and the signature at the bottom (Gmail, Thunderbird,
Evolution, Kmail, Opera, Apple Mail, iPhone, Gnus) but many of them make it
configurable to change to fit in with the "business-style" if need be, while
the ones mostly concerned with other things simply just invite to top-posting
(Outlook, Hotmail, Yahoo).

As I said, I think a reasonable compromise is to do top-posting for HTML-email
and bottom-posting for plain text.

Doing as Gmail does would also make sense to me.

Let me know you you'd like an updated patch to do something different.
Comment 7 Sergio Villar Senin 2010-01-05 12:49:13 UTC
Adam first of all thanks for the great survey you run, it's awesome.

Secondly, I asked the UI designer to change the current translation to another
one that will be an attribution line. Changing translations is not a trivial
process inside Nokia so let's see what happens. I'm waiting for designer's
reply.
Comment 8 Adam Sjøgen 2010-01-14 17:14:02 UTC
Created an attachment (id=1969) [details]
Updated patch for 3.1.18+0m5
Comment 9 Andrew Flegg maemo.org 2011-01-18 17:58:43 UTC
Merged into community-ssu at
http://gitorious.org/community-ssu/modest/commit/dccd11d562e93cd91b32ea43f7fc7856ae0d4e43

A future public update released to the community-ssu-testing repository will
include the fix. Please verify that this new version fixes the bug by marking
this bug report as VERIFIED after the public update has been released and if
you have some time.

Once the community has QAed the release, it will be promoted to the
community-ssu repository. At that point, this issue will be marked as RELEASED.

----
Attempting to define a message as discussed at
http://talk.maemo.org/showthread.php?p=923088#post923088
Comment 10 gregor herrmann 2011-01-30 19:09:44 UTC
(In reply to comment #9)
> Merged into community-ssu at
> http://gitorious.org/community-ssu/modest/commit/dccd11d562e93cd91b32ea43f7fc7856ae0d4e43

The version in community-ssu works for me; thanks!